package com.realnet.rrr.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.rrr.Entity.Test44;
import com.realnet.rrr.Services.Test44Service ;






@RequestMapping(value = "/Test44")
 @CrossOrigin("*") 
@RestController
public class Test44Controller {
	@Autowired
	private Test44Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test44")
		  public Test44 Savedata(@RequestBody Test44 data) {
		Test44 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test44/{id}")
	public  Test44 update(@RequestBody Test44 data,@PathVariable Integer id ) {
		Test44 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test44/getall/page")
	public Page<Test44> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test44> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test44")
	public List<Test44> getdetails() {
		 List<Test44> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test44")
	public List<Test44> getallwioutsec() {
		 List<Test44> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test44/{id}")
	public  Test44  getdetailsbyId(@PathVariable Integer id ) {
		Test44  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test44/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}